package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.model.topic.water.GroundWaterAndSurfaceWaterModel;
import com.lightinit.hsdatashow.entity.StWaterSupply;
import com.lightinit.hsdatashow.entity.StWaterSupplyExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterSupplyMapper {
    long countByExample(StWaterSupplyExample example);

    int deleteByExample(StWaterSupplyExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterSupply record);

    int insertSelective(StWaterSupply record);

    List<StWaterSupply> selectByExample(StWaterSupplyExample example);

    StWaterSupply selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterSupply record, @Param("example") StWaterSupplyExample example);

    int updateByExample(@Param("record") StWaterSupply record, @Param("example") StWaterSupplyExample example);

    int updateByPrimaryKeySelective(StWaterSupply record);

    int updateByPrimaryKey(StWaterSupply record);

    List<GroundWaterAndSurfaceWaterModel> getLiNianGongShui(@Param("regionName") String regionName);
}